"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createUrqlClient = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@urql/core");
const node_fetch_1 = tslib_1.__importDefault(require("node-fetch"));
const helpers_1 = require("../helpers");
function createUrqlClient(jwtToken, region) {
    return (0, core_1.createClient)({
        url: (0, helpers_1.resolveIntegrationHubBaseUrl)(region),
        fetchOptions: {
            headers: {
                Authorization: `Bearer ${jwtToken}`,
            },
        },
        fetch: node_fetch_1.default,
    });
}
exports.createUrqlClient = createUrqlClient;
