"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMarketplaceIntegrationByName = void 0;
const tslib_1 = require("tslib");
const graphql_1 = require("../../codegen/gql/graphql");
const helpers_1 = require("../helpers");
function getMarketplaceIntegrationByName(urqlClient, vars) {
    var _a, _b;
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        try {
            const response = yield gqlGetMarketplaceIntegrationByName(urqlClient, vars);
            const integrationData = (_b = (_a = response.data) === null || _a === void 0 ? void 0 : _a.marketplaceIntegrations.nodes) === null || _b === void 0 ? void 0 : _b[0];
            if (integrationData !== null && integrationData !== undefined) {
                return {
                    success: true,
                    data: integrationData,
                };
            }
            return (0, helpers_1.processAsIntegrationHubErrorResponse)(response);
        }
        catch (err) {
            return {
                success: false,
                error: (0, helpers_1.handleCatchError)(err),
            };
        }
    });
}
exports.getMarketplaceIntegrationByName = getMarketplaceIntegrationByName;
function gqlGetMarketplaceIntegrationByName(urqlClient, vars) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return urqlClient
            .query(graphql_1.GetMarketplaceIntegrationByNameDocument, vars)
            .toPromise();
    });
}
