import { __awaiter } from "tslib";
import { CreateInstanceDocument } from "../integration-hub-queries/integration-query";
export function createIntegrationInstance(urqlClient, vars) {
    var _a, _b, _c, _d, _e, _f, _g;
    return __awaiter(this, void 0, void 0, function* () {
        const response = yield gqlCreateIntegrationInstance(urqlClient, vars);
        if (response.data && ((_a = response.data.createInstance) === null || _a === void 0 ? void 0 : _a.instance)) {
            const instance = response.data.createInstance.instance;
            return {
                success: true,
                data: instance,
            };
        }
        else if ((_c = (_b = response.data) === null || _b === void 0 ? void 0 : _b.createInstance) === null || _c === void 0 ? void 0 : _c.errors) {
            return {
                success: false,
                error: new Error(`[errors: ${(_e = (_d = response.data) === null || _d === void 0 ? void 0 : _d.createInstance) === null || _e === void 0 ? void 0 : _e.errors.map((error) => `[${error.messages}]`)}`),
            };
        }
        else {
            return {
                success: false,
                error: new Error(`[${(_f = response.error) === null || _f === void 0 ? void 0 : _f.name} - ${(_g = response.error) === null || _g === void 0 ? void 0 : _g.message}] ${JSON.stringify(response.error)}`),
            };
        }
    });
}
function gqlCreateIntegrationInstance(urqlClient, vars) {
    return __awaiter(this, void 0, void 0, function* () {
        return urqlClient.mutation(CreateInstanceDocument, vars).toPromise();
    });
}
