import { __awaiter } from "tslib";
import { GetMarketplaceIntegrationByNameDocument, } from "../../codegen/gql/graphql";
import { handleCatchError, processAsIntegrationHubErrorResponse, } from "../helpers";
export function getMarketplaceIntegrationByName(urqlClient, vars) {
    var _a, _b;
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const response = yield gqlGetMarketplaceIntegrationByName(urqlClient, vars);
            const integrationData = (_b = (_a = response.data) === null || _a === void 0 ? void 0 : _a.marketplaceIntegrations.nodes) === null || _b === void 0 ? void 0 : _b[0];
            if (integrationData !== null && integrationData !== undefined) {
                return {
                    success: true,
                    data: integrationData,
                };
            }
            return processAsIntegrationHubErrorResponse(response);
        }
        catch (err) {
            return {
                success: false,
                error: handleCatchError(err),
            };
        }
    });
}
function gqlGetMarketplaceIntegrationByName(urqlClient, vars) {
    return __awaiter(this, void 0, void 0, function* () {
        return urqlClient
            .query(GetMarketplaceIntegrationByNameDocument, vars)
            .toPromise();
    });
}
