export declare const sharedErrorCodes: readonly ["EPCC_INTEGRATION_AUTH_TOKEN", "INTEGRATION_USER_DETAILS", "UNKNOWN", "UNKNOWN_CAUGHT_ENDPOINT", "MISSING_CUSTOMER_ID", "INTEGRATION_GET_INTEGRATION", "ALREADY_INTEGRATION_INSTANCE", "EPCC_API_KEYS", "EPCC_API_KEYS_SECRET", "CREATE_INTEGRATION_INSTANCE", "DEPLOY_INTEGRATION_INSTANCE", "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE", "CUSTOMER_JWT_DECODE"];
export declare function createErrorMessageLookup({ integrationName, }: {
    integrationName: string;
}): {
    EPCC_INTEGRATION_AUTH_TOKEN: string;
    INTEGRATION_USER_DETAILS: string;
    UNKNOWN: string;
    UNKNOWN_CAUGHT_ENDPOINT: string;
    MISSING_CUSTOMER_ID: string;
    INTEGRATION_GET_INTEGRATION: string;
    ALREADY_INTEGRATION_INSTANCE: string;
    EPCC_API_KEYS: string;
    EPCC_API_KEYS_SECRET: string;
    CREATE_INTEGRATION_INSTANCE: string;
    DEPLOY_INTEGRATION_INSTANCE: string;
    CUSTOMER_NOT_ALLOWED_ADD_INSTANCE: string;
    CUSTOMER_JWT_DECODE: string;
};
export declare const errorCodes: readonly ["EPCC_INTEGRATION_AUTH_TOKEN", "INTEGRATION_USER_DETAILS", "UNKNOWN", "UNKNOWN_CAUGHT_ENDPOINT", "MISSING_CUSTOMER_ID", "INTEGRATION_GET_INTEGRATION", "ALREADY_INTEGRATION_INSTANCE", "EPCC_API_KEYS", "EPCC_API_KEYS_SECRET", "CREATE_INTEGRATION_INSTANCE", "DEPLOY_INTEGRATION_INSTANCE", "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE", "CUSTOMER_JWT_DECODE", "MISSING_ALGOLIA_INTEGRATION_ID_ENV_VAR", "MISSING_ALGOLIA_INTEGRATION_NAME_ENV_VAR"];
export type ErrorCodes = (typeof errorCodes)[number];
export declare const errorMessages: Record<ErrorCodes, string>;
export declare const klevuErrorCodes: readonly ["EPCC_INTEGRATION_AUTH_TOKEN", "INTEGRATION_USER_DETAILS", "UNKNOWN", "UNKNOWN_CAUGHT_ENDPOINT", "MISSING_CUSTOMER_ID", "INTEGRATION_GET_INTEGRATION", "ALREADY_INTEGRATION_INSTANCE", "EPCC_API_KEYS", "EPCC_API_KEYS_SECRET", "CREATE_INTEGRATION_INSTANCE", "DEPLOY_INTEGRATION_INSTANCE", "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE", "CUSTOMER_JWT_DECODE", "MISSING_KLEVU_INTEGRATION_ID_ENV_VAR", "MISSING_KLEVU_INTEGRATION_NAME_ENV_VAR"];
export type KlevuErrorCodes = (typeof klevuErrorCodes)[number];
export declare const klevuErrorMessages: Record<KlevuErrorCodes, string>;
