import { z } from "zod";
export declare const integrationSettingsBaseSchema: z.ZodObject<{
    epccConfig: z.ZodObject<{
        host: z.ZodUnion<[z.ZodString, z.ZodLiteral<"eu-west">, z.ZodLiteral<"us-east">]>;
        clientId: z.ZodString;
        clientSecret: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        host: string;
        clientId: string;
        clientSecret: string;
    }, {
        host: string;
        clientId: string;
        clientSecret: string;
    }>;
}, "strip", z.ZodTypeAny, {
    epccConfig: {
        host: string;
        clientId: string;
        clientSecret: string;
    };
}, {
    epccConfig: {
        host: string;
        clientId: string;
        clientSecret: string;
    };
}>;
export declare const algoliaIntegrationSettingsSchema: z.ZodObject<{
    epccConfig: z.ZodObject<{
        host: z.ZodUnion<[z.ZodString, z.ZodLiteral<"eu-west">, z.ZodLiteral<"us-east">]>;
        clientId: z.ZodString;
        clientSecret: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        host: string;
        clientId: string;
        clientSecret: string;
    }, {
        host: string;
        clientId: string;
        clientSecret: string;
    }>;
    name: z.ZodLiteral<"algolia">;
    appId: z.ZodString;
    adminApiKey: z.ZodString;
}, "strip", z.ZodTypeAny, {
    name: "algolia";
    epccConfig: {
        host: string;
        clientId: string;
        clientSecret: string;
    };
    appId: string;
    adminApiKey: string;
}, {
    name: "algolia";
    epccConfig: {
        host: string;
        clientId: string;
        clientSecret: string;
    };
    appId: string;
    adminApiKey: string;
}>;
export type AlgoliaIntegrationSettings = z.TypeOf<typeof algoliaIntegrationSettingsSchema>;
export declare const klevuIntegrationSettingsSchema: z.ZodObject<{
    epccConfig: z.ZodObject<{
        host: z.ZodUnion<[z.ZodString, z.ZodLiteral<"eu-west">, z.ZodLiteral<"us-east">]>;
        clientId: z.ZodString;
        clientSecret: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        host: string;
        clientId: string;
        clientSecret: string;
    }, {
        host: string;
        clientId: string;
        clientSecret: string;
    }>;
    name: z.ZodLiteral<"klevu">;
    apiKey: z.ZodString;
    searchUrl: z.ZodString;
}, "strip", z.ZodTypeAny, {
    name: "klevu";
    epccConfig: {
        host: string;
        clientId: string;
        clientSecret: string;
    };
    apiKey: string;
    searchUrl: string;
}, {
    name: "klevu";
    epccConfig: {
        host: string;
        clientId: string;
        clientSecret: string;
    };
    apiKey: string;
    searchUrl: string;
}>;
export type KlevuIntegrationSettings = z.TypeOf<typeof klevuIntegrationSettingsSchema>;
export declare const integrationCreateConfigSchema: z.ZodDiscriminatedUnion<"name", [z.ZodObject<{
    epccConfig: z.ZodObject<{
        host: z.ZodUnion<[z.ZodString, z.ZodLiteral<"eu-west">, z.ZodLiteral<"us-east">]>;
        clientId: z.ZodString;
        clientSecret: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        host: string;
        clientId: string;
        clientSecret: string;
    }, {
        host: string;
        clientId: string;
        clientSecret: string;
    }>;
    name: z.ZodLiteral<"algolia">;
    appId: z.ZodString;
    adminApiKey: z.ZodString;
}, "strip", z.ZodTypeAny, {
    name: "algolia";
    epccConfig: {
        host: string;
        clientId: string;
        clientSecret: string;
    };
    appId: string;
    adminApiKey: string;
}, {
    name: "algolia";
    epccConfig: {
        host: string;
        clientId: string;
        clientSecret: string;
    };
    appId: string;
    adminApiKey: string;
}>, z.ZodObject<{
    epccConfig: z.ZodObject<{
        host: z.ZodUnion<[z.ZodString, z.ZodLiteral<"eu-west">, z.ZodLiteral<"us-east">]>;
        clientId: z.ZodString;
        clientSecret: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        host: string;
        clientId: string;
        clientSecret: string;
    }, {
        host: string;
        clientId: string;
        clientSecret: string;
    }>;
    name: z.ZodLiteral<"klevu">;
    apiKey: z.ZodString;
    searchUrl: z.ZodString;
}, "strip", z.ZodTypeAny, {
    name: "klevu";
    epccConfig: {
        host: string;
        clientId: string;
        clientSecret: string;
    };
    apiKey: string;
    searchUrl: string;
}, {
    name: "klevu";
    epccConfig: {
        host: string;
        clientId: string;
        clientSecret: string;
    };
    apiKey: string;
    searchUrl: string;
}>]>;
export type IntegrationCreateConfig = z.TypeOf<typeof integrationCreateConfigSchema>;
export declare const errorCodeSchema: z.ZodEnum<["EPCC_INTEGRATION_AUTH_TOKEN", "INTEGRATION_USER_DETAILS", "UNKNOWN", "UNKNOWN_CAUGHT_ENDPOINT", "MISSING_CUSTOMER_ID", "INTEGRATION_GET_INTEGRATION", "ALREADY_INTEGRATION_INSTANCE", "EPCC_API_KEYS", "EPCC_API_KEYS_SECRET", "CREATE_INTEGRATION_INSTANCE", "DEPLOY_INTEGRATION_INSTANCE", "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE", "CUSTOMER_JWT_DECODE", "MISSING_ALGOLIA_INTEGRATION_ID_ENV_VAR", "MISSING_ALGOLIA_INTEGRATION_NAME_ENV_VAR"]>;
export declare const integrationFailureResultBase: z.ZodObject<{
    success: z.ZodLiteral<false>;
    reason: z.ZodString;
    error: z.ZodOptional<z.ZodType<Error, z.ZodTypeDef, Error>>;
}, "strip", z.ZodTypeAny, {
    success: false;
    reason: string;
    error?: Error | undefined;
}, {
    success: false;
    reason: string;
    error?: Error | undefined;
}>;
export declare const algoliaIntegrationCreateSuccessResultSchema: z.ZodObject<{
    success: z.ZodLiteral<true>;
    name: z.ZodLiteral<"algolia">;
    result: z.ZodAny;
}, "strip", z.ZodTypeAny, {
    name: "algolia";
    success: true;
    result?: any;
}, {
    name: "algolia";
    success: true;
    result?: any;
}>;
export declare const algoliaIntegrationCreateFailureResultSchema: z.ZodObject<{
    success: z.ZodLiteral<false>;
    error: z.ZodOptional<z.ZodType<Error, z.ZodTypeDef, Error>>;
    reason: z.ZodString;
    name: z.ZodLiteral<"algolia">;
    code: z.ZodEnum<["EPCC_INTEGRATION_AUTH_TOKEN", "INTEGRATION_USER_DETAILS", "UNKNOWN", "UNKNOWN_CAUGHT_ENDPOINT", "MISSING_CUSTOMER_ID", "INTEGRATION_GET_INTEGRATION", "ALREADY_INTEGRATION_INSTANCE", "EPCC_API_KEYS", "EPCC_API_KEYS_SECRET", "CREATE_INTEGRATION_INSTANCE", "DEPLOY_INTEGRATION_INSTANCE", "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE", "CUSTOMER_JWT_DECODE", "MISSING_ALGOLIA_INTEGRATION_ID_ENV_VAR", "MISSING_ALGOLIA_INTEGRATION_NAME_ENV_VAR"]>;
}, "strip", z.ZodTypeAny, {
    name: "algolia";
    success: false;
    code: "EPCC_INTEGRATION_AUTH_TOKEN" | "INTEGRATION_USER_DETAILS" | "UNKNOWN" | "UNKNOWN_CAUGHT_ENDPOINT" | "MISSING_CUSTOMER_ID" | "INTEGRATION_GET_INTEGRATION" | "ALREADY_INTEGRATION_INSTANCE" | "EPCC_API_KEYS" | "EPCC_API_KEYS_SECRET" | "CREATE_INTEGRATION_INSTANCE" | "DEPLOY_INTEGRATION_INSTANCE" | "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE" | "CUSTOMER_JWT_DECODE" | "MISSING_ALGOLIA_INTEGRATION_ID_ENV_VAR" | "MISSING_ALGOLIA_INTEGRATION_NAME_ENV_VAR";
    reason: string;
    error?: Error | undefined;
}, {
    name: "algolia";
    success: false;
    code: "EPCC_INTEGRATION_AUTH_TOKEN" | "INTEGRATION_USER_DETAILS" | "UNKNOWN" | "UNKNOWN_CAUGHT_ENDPOINT" | "MISSING_CUSTOMER_ID" | "INTEGRATION_GET_INTEGRATION" | "ALREADY_INTEGRATION_INSTANCE" | "EPCC_API_KEYS" | "EPCC_API_KEYS_SECRET" | "CREATE_INTEGRATION_INSTANCE" | "DEPLOY_INTEGRATION_INSTANCE" | "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE" | "CUSTOMER_JWT_DECODE" | "MISSING_ALGOLIA_INTEGRATION_ID_ENV_VAR" | "MISSING_ALGOLIA_INTEGRATION_NAME_ENV_VAR";
    reason: string;
    error?: Error | undefined;
}>;
export type AlgoliaIntegrationCreateFailureResult = z.TypeOf<typeof algoliaIntegrationCreateFailureResultSchema>;
export declare const algoliaIntegrationCreateResultSchema: z.ZodDiscriminatedUnion<"success", [z.ZodObject<{
    success: z.ZodLiteral<true>;
    name: z.ZodLiteral<"algolia">;
    result: z.ZodAny;
}, "strip", z.ZodTypeAny, {
    name: "algolia";
    success: true;
    result?: any;
}, {
    name: "algolia";
    success: true;
    result?: any;
}>, z.ZodObject<{
    success: z.ZodLiteral<false>;
    error: z.ZodOptional<z.ZodType<Error, z.ZodTypeDef, Error>>;
    reason: z.ZodString;
    name: z.ZodLiteral<"algolia">;
    code: z.ZodEnum<["EPCC_INTEGRATION_AUTH_TOKEN", "INTEGRATION_USER_DETAILS", "UNKNOWN", "UNKNOWN_CAUGHT_ENDPOINT", "MISSING_CUSTOMER_ID", "INTEGRATION_GET_INTEGRATION", "ALREADY_INTEGRATION_INSTANCE", "EPCC_API_KEYS", "EPCC_API_KEYS_SECRET", "CREATE_INTEGRATION_INSTANCE", "DEPLOY_INTEGRATION_INSTANCE", "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE", "CUSTOMER_JWT_DECODE", "MISSING_ALGOLIA_INTEGRATION_ID_ENV_VAR", "MISSING_ALGOLIA_INTEGRATION_NAME_ENV_VAR"]>;
}, "strip", z.ZodTypeAny, {
    name: "algolia";
    success: false;
    code: "EPCC_INTEGRATION_AUTH_TOKEN" | "INTEGRATION_USER_DETAILS" | "UNKNOWN" | "UNKNOWN_CAUGHT_ENDPOINT" | "MISSING_CUSTOMER_ID" | "INTEGRATION_GET_INTEGRATION" | "ALREADY_INTEGRATION_INSTANCE" | "EPCC_API_KEYS" | "EPCC_API_KEYS_SECRET" | "CREATE_INTEGRATION_INSTANCE" | "DEPLOY_INTEGRATION_INSTANCE" | "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE" | "CUSTOMER_JWT_DECODE" | "MISSING_ALGOLIA_INTEGRATION_ID_ENV_VAR" | "MISSING_ALGOLIA_INTEGRATION_NAME_ENV_VAR";
    reason: string;
    error?: Error | undefined;
}, {
    name: "algolia";
    success: false;
    code: "EPCC_INTEGRATION_AUTH_TOKEN" | "INTEGRATION_USER_DETAILS" | "UNKNOWN" | "UNKNOWN_CAUGHT_ENDPOINT" | "MISSING_CUSTOMER_ID" | "INTEGRATION_GET_INTEGRATION" | "ALREADY_INTEGRATION_INSTANCE" | "EPCC_API_KEYS" | "EPCC_API_KEYS_SECRET" | "CREATE_INTEGRATION_INSTANCE" | "DEPLOY_INTEGRATION_INSTANCE" | "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE" | "CUSTOMER_JWT_DECODE" | "MISSING_ALGOLIA_INTEGRATION_ID_ENV_VAR" | "MISSING_ALGOLIA_INTEGRATION_NAME_ENV_VAR";
    reason: string;
    error?: Error | undefined;
}>]>;
export type AlgoliaIntegrationCreateResult = z.TypeOf<typeof algoliaIntegrationCreateResultSchema>;
export declare const klevuIntegrationCreateSuccessResultSchema: z.ZodObject<{
    success: z.ZodLiteral<true>;
    name: z.ZodLiteral<"klevu">;
    result: z.ZodAny;
}, "strip", z.ZodTypeAny, {
    name: "klevu";
    success: true;
    result?: any;
}, {
    name: "klevu";
    success: true;
    result?: any;
}>;
export declare const klevuIntegrationCreateFailureResultSchema: z.ZodObject<{
    success: z.ZodLiteral<false>;
    error: z.ZodOptional<z.ZodType<Error, z.ZodTypeDef, Error>>;
    reason: z.ZodString;
    name: z.ZodLiteral<"klevu">;
    code: z.ZodEnum<["EPCC_INTEGRATION_AUTH_TOKEN", "INTEGRATION_USER_DETAILS", "UNKNOWN", "UNKNOWN_CAUGHT_ENDPOINT", "MISSING_CUSTOMER_ID", "INTEGRATION_GET_INTEGRATION", "ALREADY_INTEGRATION_INSTANCE", "EPCC_API_KEYS", "EPCC_API_KEYS_SECRET", "CREATE_INTEGRATION_INSTANCE", "DEPLOY_INTEGRATION_INSTANCE", "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE", "CUSTOMER_JWT_DECODE", "MISSING_KLEVU_INTEGRATION_ID_ENV_VAR", "MISSING_KLEVU_INTEGRATION_NAME_ENV_VAR"]>;
}, "strip", z.ZodTypeAny, {
    name: "klevu";
    success: false;
    code: "EPCC_INTEGRATION_AUTH_TOKEN" | "INTEGRATION_USER_DETAILS" | "UNKNOWN" | "UNKNOWN_CAUGHT_ENDPOINT" | "MISSING_CUSTOMER_ID" | "INTEGRATION_GET_INTEGRATION" | "ALREADY_INTEGRATION_INSTANCE" | "EPCC_API_KEYS" | "EPCC_API_KEYS_SECRET" | "CREATE_INTEGRATION_INSTANCE" | "DEPLOY_INTEGRATION_INSTANCE" | "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE" | "CUSTOMER_JWT_DECODE" | "MISSING_KLEVU_INTEGRATION_ID_ENV_VAR" | "MISSING_KLEVU_INTEGRATION_NAME_ENV_VAR";
    reason: string;
    error?: Error | undefined;
}, {
    name: "klevu";
    success: false;
    code: "EPCC_INTEGRATION_AUTH_TOKEN" | "INTEGRATION_USER_DETAILS" | "UNKNOWN" | "UNKNOWN_CAUGHT_ENDPOINT" | "MISSING_CUSTOMER_ID" | "INTEGRATION_GET_INTEGRATION" | "ALREADY_INTEGRATION_INSTANCE" | "EPCC_API_KEYS" | "EPCC_API_KEYS_SECRET" | "CREATE_INTEGRATION_INSTANCE" | "DEPLOY_INTEGRATION_INSTANCE" | "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE" | "CUSTOMER_JWT_DECODE" | "MISSING_KLEVU_INTEGRATION_ID_ENV_VAR" | "MISSING_KLEVU_INTEGRATION_NAME_ENV_VAR";
    reason: string;
    error?: Error | undefined;
}>;
export type KlevIntegrationCreateFailureResult = z.TypeOf<typeof klevuIntegrationCreateFailureResultSchema>;
export declare const klevuIntegrationCreateResultSchema: z.ZodDiscriminatedUnion<"success", [z.ZodObject<{
    success: z.ZodLiteral<true>;
    name: z.ZodLiteral<"klevu">;
    result: z.ZodAny;
}, "strip", z.ZodTypeAny, {
    name: "klevu";
    success: true;
    result?: any;
}, {
    name: "klevu";
    success: true;
    result?: any;
}>, z.ZodObject<{
    success: z.ZodLiteral<false>;
    error: z.ZodOptional<z.ZodType<Error, z.ZodTypeDef, Error>>;
    reason: z.ZodString;
    name: z.ZodLiteral<"klevu">;
    code: z.ZodEnum<["EPCC_INTEGRATION_AUTH_TOKEN", "INTEGRATION_USER_DETAILS", "UNKNOWN", "UNKNOWN_CAUGHT_ENDPOINT", "MISSING_CUSTOMER_ID", "INTEGRATION_GET_INTEGRATION", "ALREADY_INTEGRATION_INSTANCE", "EPCC_API_KEYS", "EPCC_API_KEYS_SECRET", "CREATE_INTEGRATION_INSTANCE", "DEPLOY_INTEGRATION_INSTANCE", "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE", "CUSTOMER_JWT_DECODE", "MISSING_KLEVU_INTEGRATION_ID_ENV_VAR", "MISSING_KLEVU_INTEGRATION_NAME_ENV_VAR"]>;
}, "strip", z.ZodTypeAny, {
    name: "klevu";
    success: false;
    code: "EPCC_INTEGRATION_AUTH_TOKEN" | "INTEGRATION_USER_DETAILS" | "UNKNOWN" | "UNKNOWN_CAUGHT_ENDPOINT" | "MISSING_CUSTOMER_ID" | "INTEGRATION_GET_INTEGRATION" | "ALREADY_INTEGRATION_INSTANCE" | "EPCC_API_KEYS" | "EPCC_API_KEYS_SECRET" | "CREATE_INTEGRATION_INSTANCE" | "DEPLOY_INTEGRATION_INSTANCE" | "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE" | "CUSTOMER_JWT_DECODE" | "MISSING_KLEVU_INTEGRATION_ID_ENV_VAR" | "MISSING_KLEVU_INTEGRATION_NAME_ENV_VAR";
    reason: string;
    error?: Error | undefined;
}, {
    name: "klevu";
    success: false;
    code: "EPCC_INTEGRATION_AUTH_TOKEN" | "INTEGRATION_USER_DETAILS" | "UNKNOWN" | "UNKNOWN_CAUGHT_ENDPOINT" | "MISSING_CUSTOMER_ID" | "INTEGRATION_GET_INTEGRATION" | "ALREADY_INTEGRATION_INSTANCE" | "EPCC_API_KEYS" | "EPCC_API_KEYS_SECRET" | "CREATE_INTEGRATION_INSTANCE" | "DEPLOY_INTEGRATION_INSTANCE" | "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE" | "CUSTOMER_JWT_DECODE" | "MISSING_KLEVU_INTEGRATION_ID_ENV_VAR" | "MISSING_KLEVU_INTEGRATION_NAME_ENV_VAR";
    reason: string;
    error?: Error | undefined;
}>]>;
export type KlevuIntegrationCreateResult = z.TypeOf<typeof klevuIntegrationCreateResultSchema>;
export declare const integrationCreateResultSchema: z.ZodUnion<[z.ZodDiscriminatedUnion<"success", [z.ZodObject<{
    success: z.ZodLiteral<true>;
    name: z.ZodLiteral<"algolia">;
    result: z.ZodAny;
}, "strip", z.ZodTypeAny, {
    name: "algolia";
    success: true;
    result?: any;
}, {
    name: "algolia";
    success: true;
    result?: any;
}>, z.ZodObject<{
    success: z.ZodLiteral<false>;
    error: z.ZodOptional<z.ZodType<Error, z.ZodTypeDef, Error>>;
    reason: z.ZodString;
    name: z.ZodLiteral<"algolia">;
    code: z.ZodEnum<["EPCC_INTEGRATION_AUTH_TOKEN", "INTEGRATION_USER_DETAILS", "UNKNOWN", "UNKNOWN_CAUGHT_ENDPOINT", "MISSING_CUSTOMER_ID", "INTEGRATION_GET_INTEGRATION", "ALREADY_INTEGRATION_INSTANCE", "EPCC_API_KEYS", "EPCC_API_KEYS_SECRET", "CREATE_INTEGRATION_INSTANCE", "DEPLOY_INTEGRATION_INSTANCE", "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE", "CUSTOMER_JWT_DECODE", "MISSING_ALGOLIA_INTEGRATION_ID_ENV_VAR", "MISSING_ALGOLIA_INTEGRATION_NAME_ENV_VAR"]>;
}, "strip", z.ZodTypeAny, {
    name: "algolia";
    success: false;
    code: "EPCC_INTEGRATION_AUTH_TOKEN" | "INTEGRATION_USER_DETAILS" | "UNKNOWN" | "UNKNOWN_CAUGHT_ENDPOINT" | "MISSING_CUSTOMER_ID" | "INTEGRATION_GET_INTEGRATION" | "ALREADY_INTEGRATION_INSTANCE" | "EPCC_API_KEYS" | "EPCC_API_KEYS_SECRET" | "CREATE_INTEGRATION_INSTANCE" | "DEPLOY_INTEGRATION_INSTANCE" | "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE" | "CUSTOMER_JWT_DECODE" | "MISSING_ALGOLIA_INTEGRATION_ID_ENV_VAR" | "MISSING_ALGOLIA_INTEGRATION_NAME_ENV_VAR";
    reason: string;
    error?: Error | undefined;
}, {
    name: "algolia";
    success: false;
    code: "EPCC_INTEGRATION_AUTH_TOKEN" | "INTEGRATION_USER_DETAILS" | "UNKNOWN" | "UNKNOWN_CAUGHT_ENDPOINT" | "MISSING_CUSTOMER_ID" | "INTEGRATION_GET_INTEGRATION" | "ALREADY_INTEGRATION_INSTANCE" | "EPCC_API_KEYS" | "EPCC_API_KEYS_SECRET" | "CREATE_INTEGRATION_INSTANCE" | "DEPLOY_INTEGRATION_INSTANCE" | "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE" | "CUSTOMER_JWT_DECODE" | "MISSING_ALGOLIA_INTEGRATION_ID_ENV_VAR" | "MISSING_ALGOLIA_INTEGRATION_NAME_ENV_VAR";
    reason: string;
    error?: Error | undefined;
}>]>, z.ZodDiscriminatedUnion<"success", [z.ZodObject<{
    success: z.ZodLiteral<true>;
    name: z.ZodLiteral<"klevu">;
    result: z.ZodAny;
}, "strip", z.ZodTypeAny, {
    name: "klevu";
    success: true;
    result?: any;
}, {
    name: "klevu";
    success: true;
    result?: any;
}>, z.ZodObject<{
    success: z.ZodLiteral<false>;
    error: z.ZodOptional<z.ZodType<Error, z.ZodTypeDef, Error>>;
    reason: z.ZodString;
    name: z.ZodLiteral<"klevu">;
    code: z.ZodEnum<["EPCC_INTEGRATION_AUTH_TOKEN", "INTEGRATION_USER_DETAILS", "UNKNOWN", "UNKNOWN_CAUGHT_ENDPOINT", "MISSING_CUSTOMER_ID", "INTEGRATION_GET_INTEGRATION", "ALREADY_INTEGRATION_INSTANCE", "EPCC_API_KEYS", "EPCC_API_KEYS_SECRET", "CREATE_INTEGRATION_INSTANCE", "DEPLOY_INTEGRATION_INSTANCE", "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE", "CUSTOMER_JWT_DECODE", "MISSING_KLEVU_INTEGRATION_ID_ENV_VAR", "MISSING_KLEVU_INTEGRATION_NAME_ENV_VAR"]>;
}, "strip", z.ZodTypeAny, {
    name: "klevu";
    success: false;
    code: "EPCC_INTEGRATION_AUTH_TOKEN" | "INTEGRATION_USER_DETAILS" | "UNKNOWN" | "UNKNOWN_CAUGHT_ENDPOINT" | "MISSING_CUSTOMER_ID" | "INTEGRATION_GET_INTEGRATION" | "ALREADY_INTEGRATION_INSTANCE" | "EPCC_API_KEYS" | "EPCC_API_KEYS_SECRET" | "CREATE_INTEGRATION_INSTANCE" | "DEPLOY_INTEGRATION_INSTANCE" | "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE" | "CUSTOMER_JWT_DECODE" | "MISSING_KLEVU_INTEGRATION_ID_ENV_VAR" | "MISSING_KLEVU_INTEGRATION_NAME_ENV_VAR";
    reason: string;
    error?: Error | undefined;
}, {
    name: "klevu";
    success: false;
    code: "EPCC_INTEGRATION_AUTH_TOKEN" | "INTEGRATION_USER_DETAILS" | "UNKNOWN" | "UNKNOWN_CAUGHT_ENDPOINT" | "MISSING_CUSTOMER_ID" | "INTEGRATION_GET_INTEGRATION" | "ALREADY_INTEGRATION_INSTANCE" | "EPCC_API_KEYS" | "EPCC_API_KEYS_SECRET" | "CREATE_INTEGRATION_INSTANCE" | "DEPLOY_INTEGRATION_INSTANCE" | "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE" | "CUSTOMER_JWT_DECODE" | "MISSING_KLEVU_INTEGRATION_ID_ENV_VAR" | "MISSING_KLEVU_INTEGRATION_NAME_ENV_VAR";
    reason: string;
    error?: Error | undefined;
}>]>]>;
export type IntegrationCreateResult = z.TypeOf<typeof integrationCreateResultSchema>;
export declare const integrationCreateFailureResult: z.ZodDiscriminatedUnion<"name", [z.ZodObject<{
    success: z.ZodLiteral<false>;
    error: z.ZodOptional<z.ZodType<Error, z.ZodTypeDef, Error>>;
    reason: z.ZodString;
    name: z.ZodLiteral<"algolia">;
    code: z.ZodEnum<["EPCC_INTEGRATION_AUTH_TOKEN", "INTEGRATION_USER_DETAILS", "UNKNOWN", "UNKNOWN_CAUGHT_ENDPOINT", "MISSING_CUSTOMER_ID", "INTEGRATION_GET_INTEGRATION", "ALREADY_INTEGRATION_INSTANCE", "EPCC_API_KEYS", "EPCC_API_KEYS_SECRET", "CREATE_INTEGRATION_INSTANCE", "DEPLOY_INTEGRATION_INSTANCE", "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE", "CUSTOMER_JWT_DECODE", "MISSING_ALGOLIA_INTEGRATION_ID_ENV_VAR", "MISSING_ALGOLIA_INTEGRATION_NAME_ENV_VAR"]>;
}, "strip", z.ZodTypeAny, {
    name: "algolia";
    success: false;
    code: "EPCC_INTEGRATION_AUTH_TOKEN" | "INTEGRATION_USER_DETAILS" | "UNKNOWN" | "UNKNOWN_CAUGHT_ENDPOINT" | "MISSING_CUSTOMER_ID" | "INTEGRATION_GET_INTEGRATION" | "ALREADY_INTEGRATION_INSTANCE" | "EPCC_API_KEYS" | "EPCC_API_KEYS_SECRET" | "CREATE_INTEGRATION_INSTANCE" | "DEPLOY_INTEGRATION_INSTANCE" | "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE" | "CUSTOMER_JWT_DECODE" | "MISSING_ALGOLIA_INTEGRATION_ID_ENV_VAR" | "MISSING_ALGOLIA_INTEGRATION_NAME_ENV_VAR";
    reason: string;
    error?: Error | undefined;
}, {
    name: "algolia";
    success: false;
    code: "EPCC_INTEGRATION_AUTH_TOKEN" | "INTEGRATION_USER_DETAILS" | "UNKNOWN" | "UNKNOWN_CAUGHT_ENDPOINT" | "MISSING_CUSTOMER_ID" | "INTEGRATION_GET_INTEGRATION" | "ALREADY_INTEGRATION_INSTANCE" | "EPCC_API_KEYS" | "EPCC_API_KEYS_SECRET" | "CREATE_INTEGRATION_INSTANCE" | "DEPLOY_INTEGRATION_INSTANCE" | "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE" | "CUSTOMER_JWT_DECODE" | "MISSING_ALGOLIA_INTEGRATION_ID_ENV_VAR" | "MISSING_ALGOLIA_INTEGRATION_NAME_ENV_VAR";
    reason: string;
    error?: Error | undefined;
}>, z.ZodObject<{
    success: z.ZodLiteral<false>;
    error: z.ZodOptional<z.ZodType<Error, z.ZodTypeDef, Error>>;
    reason: z.ZodString;
    name: z.ZodLiteral<"klevu">;
    code: z.ZodEnum<["EPCC_INTEGRATION_AUTH_TOKEN", "INTEGRATION_USER_DETAILS", "UNKNOWN", "UNKNOWN_CAUGHT_ENDPOINT", "MISSING_CUSTOMER_ID", "INTEGRATION_GET_INTEGRATION", "ALREADY_INTEGRATION_INSTANCE", "EPCC_API_KEYS", "EPCC_API_KEYS_SECRET", "CREATE_INTEGRATION_INSTANCE", "DEPLOY_INTEGRATION_INSTANCE", "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE", "CUSTOMER_JWT_DECODE", "MISSING_KLEVU_INTEGRATION_ID_ENV_VAR", "MISSING_KLEVU_INTEGRATION_NAME_ENV_VAR"]>;
}, "strip", z.ZodTypeAny, {
    name: "klevu";
    success: false;
    code: "EPCC_INTEGRATION_AUTH_TOKEN" | "INTEGRATION_USER_DETAILS" | "UNKNOWN" | "UNKNOWN_CAUGHT_ENDPOINT" | "MISSING_CUSTOMER_ID" | "INTEGRATION_GET_INTEGRATION" | "ALREADY_INTEGRATION_INSTANCE" | "EPCC_API_KEYS" | "EPCC_API_KEYS_SECRET" | "CREATE_INTEGRATION_INSTANCE" | "DEPLOY_INTEGRATION_INSTANCE" | "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE" | "CUSTOMER_JWT_DECODE" | "MISSING_KLEVU_INTEGRATION_ID_ENV_VAR" | "MISSING_KLEVU_INTEGRATION_NAME_ENV_VAR";
    reason: string;
    error?: Error | undefined;
}, {
    name: "klevu";
    success: false;
    code: "EPCC_INTEGRATION_AUTH_TOKEN" | "INTEGRATION_USER_DETAILS" | "UNKNOWN" | "UNKNOWN_CAUGHT_ENDPOINT" | "MISSING_CUSTOMER_ID" | "INTEGRATION_GET_INTEGRATION" | "ALREADY_INTEGRATION_INSTANCE" | "EPCC_API_KEYS" | "EPCC_API_KEYS_SECRET" | "CREATE_INTEGRATION_INSTANCE" | "DEPLOY_INTEGRATION_INSTANCE" | "CUSTOMER_NOT_ALLOWED_ADD_INSTANCE" | "CUSTOMER_JWT_DECODE" | "MISSING_KLEVU_INTEGRATION_ID_ENV_VAR" | "MISSING_KLEVU_INTEGRATION_NAME_ENV_VAR";
    reason: string;
    error?: Error | undefined;
}>]>;
export type IntegrationCreateFailureResult = z.TypeOf<typeof integrationCreateFailureResult>;
